CALIBREDB(1)

NAME
calibredb - calibredb

calibredb komento [valinnat] [arvot]

:command:'calibredb' on komentoriviliittymä calibren tietokantaan. Siinä on useita alikomentoja, jotka on dokumentoitu alla.

:command:'calibredB' voidaan käyttää käsittelemään joko calibren tietokantaa määritetty polku tai kaliiperin mukaan :guilabel:'Content server', joka toimii joko paikallisella koneella tai Internetin kautta. Voit käynnistää calibren :guilabel:'Content server' käyttäen jompaakumpaa :command:'calibre-server' -ohjelmassa tai pääkaliiperiohjelmassa napsauta :guilabel:'Yhdistä / jaa -> Käynnistä Sisältöpalvelin". Koska :command:'calibredb' voi tehdä muutoksia calibre kirjastoon, sinun on ensin määritettävä todennus palvelimelle. Siellä on kaksi tapaa tehdä se:

•

Jos aiot muodostaa yhteyden vain samassa tietokoneessa toimivaan palvelimeen,
    voit yksinkertaisesti käyttää ''--enable-local-write'' Sisältöpalvelin-vaihtoehtoa, joka sallii minkä tahansa ohjelman, mukaan lukien calibredb, suorittamisen paikallisessa tietokoneessa, jos haluat tehdä muutoksia calibre-tietoihin. Kun suoritat

palvelimen Calibre-pääohjelmasta, tämä vaihtoehto on kohdassa
    Preferences → Sharing over the net → Advanced.

•   Jos haluat ottaa käyttöön Internetin kautta tapahtuvan käytön, sinun on asennettava seuraavat asetukset

käyttäjätilit palvelimelle ja käyttää --käyttäjänimi ja --salasana.
    vaihtoehdoilla calibredb antaa sille pääsyn. Voit määrittää käyttäjän todennuksen calibre-server:lle käyttämällä asetusta --enable-auth. vaihtoehdon avulla ja käyttämällä --manage-users käyttäjätilien luomiseen. Jos käytät palvelinta calibren pääohjelmasta käsin, käytä komentoa Preferences → Sharing over the net → Require username/password.

    Jos haluat muodostaa yhteyden käynnissä olevaan sisältöpalvelimeen, anna palvelimen URL-osoite komentoon

    --with-library -vaihtoehtoa, katso kyseisen vaihtoehdon dokumentaatiosta lisätietoja. lisätietoja ja esimerkkejä.

•   GLOBAALIT ASETUKSET

•   list

•   add

•   LISÄTÄÄN KANSIOISTA

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB ASETUKSET

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

GLOBAALIT ASETUKSET

--help, -h
    näytä tämä ohjeviesti ja poistu

--library-path, --with-library
    Polku calibre-kirjastoon. Oletuksena polku tallennetaan asetuksiin. Voit myös yhdistää calibre Content-palvelimelle suorittaaksesi toimintoja etäkirjastoihin. Tässä tapauksessa URL:n on oltava muotoa: http://hostname:port/#library_id tai http://localhost:8080/#mylibrary. library_id on Connect-palvelimelta yhdistettävän kirjaston id. library_id arvo '-' listaa palvelimen kirjasto-id:t. Tietoja Content-palvelimen etäkäytöstä: https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Salasana calibre Content-palvelimelle. Lukeaksesi salasana tavallisesti syötettynä, käytä valintaa: <stdin>. Lukeaksesi salasan tiedostosta, käytä: <f:/path/to/file> (esim. <f: followed by the full path to the file and a trailing >). Hakasulkeet ovat pakolliset, muista lisätä niille ohitusmerkit tai käytä lainausmerkkejä.

--timeout
    Odotusaika sekunneissa kun calibre-kirjastoon yhdistetään verkon kautta. Oletuksena on kaksi minuuttia.

--username
    Käyttäjätunnus calibre Content -palvelimelle

--version
    näytä ohjelman versionumero ja poistu

LIST

calibredb listaa[options]

Listaa calibre-tietokannan kirjat.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Järjestä tulokset nousevaan järjestykseen

--fields, -f
    Kentät, jotka näytetään kirjoja listattaessa, pilkuin erotettuna sarjana. Käytettävissä olevat kentät: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Oletus: %. Erikoiskentällä "all" valitaan kaikki kentät. Valmiiden listojen lisäksi, mukautettuja listoja voi kutsua *kentän_nimi, esimerkiksi mukautetun kentän #arvio voit kutsua nimellä: *arvio

--for-machine
    Luo tulokset JSON-formaatissa, joka soiveltuu hyvin tietokoneen luettavaksi. Tätä käytettäessä ei huomioida rivin pituutta ja välimerkkejä.

--limit
    Näytettävien tulosten maksimimäärä. Oletus: kaikki

--line-width, -w
    Yksitäisen rivin maksimipituus. Oletusarvona käytetään näytön kokoa.

--prefix
    Kaikkien polkujen eteen liitettävä teksti. Oletuksena käytetään kirjastokansion hakemistopolkua.

--search, -s
    Suodata tulokset hakulausekkeella. Ohjeet hakulausekkeen muotoiluun löytyvät Käyttöohjeesta. Oletuksena tuloksia ei suodateta.

--separator
    Kenttien erottamiseen käytettävät välimerkit. Oletus on välilyönti.

--sort-by
    Kenttä, jonka mukaan tulokset lajitellaan. Voit määrittää useita kenttiä erottamalla ne pilkuilla. Käytettävissä olevat kentät: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Oletus: id

--template
    Suoritettava malli, jos kenttäluettelossa on "template". Oletus: Ei mitään

--template_file, -t
    Polku suoritettavan mallin sisältävään tiedostoon, jos kenttäluettelossa on "template". Oletus: Ei mitään

--template_heading
    Mallisarakkeen otsikko. Oletus: template. Tämä asetus ohitetaan, jos asetus --for-machine on määritetty

ADD

calibredb lisää [asetukset] tiedosto1 tiedosto2 tiedosto3 ...

Lisää määritetyt tiedostot kirjoina tietokantaan. Voit myös määrittää kansioita, katso alla olevat kansioon liittyvät vaihtoehdot.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Annan tekijoiden nimet lisäty(i)lle.

--automerge, -m
    Jos löytyy kirjoja, joilla on samanlaiset nimet ja kirjoittajat, yhdistä saapuvat muodot (tiedostot) automaattisesti olemassa oleviin kirjatietueisiin. "Ohita" -arvo tarkoittaa, että päällekkäiset muodot hylätään. Arvo "korvaa" tarkoittaa, että kirjaston päällekkäiset muodot korvataan juuri lisätyillä tiedostoilla. Arvo "new_record" tarkoittaa, että kaksoiskappaleet sijoitetaan uuteen kirjatietueeseen.

--cover, -c
    Tiedostopolku kansikuvaan lisäty(i)lle

--duplicates, -d
    Lisää kirjat tietokantaan vaikka ne ovat jo siellä. Vertailu perustuu kirjojen ja tekijöiden nimiin. Huomaa, että vaihtoehto --automerge on ensisijainen.

--empty, -e
    Lisää tyhjä kirja. (Kirjan kirjaus ilman tallennusmuotoja)

--identifier, -I
    Aseta tunnisteet tälle kirjalle, esim. -l asin:XXX -l isbn:YYY

--isbn, -i
    Anna ISBN lisäty(i)lle

--languages, -l
    Pilkuin erotettu lista kieliä (miel. ISO639-muodossa)

--series, -s
    Aseta sarja lisäty(i)lle

--series-index, -S
    Anne sarjanumero lisäty(i)lle

--tags, -T
    Aseta tägit lisäty(i)lle

--title, -t
    Anna nimi lisäty(i)lle.

  LISÄTÄÄN KANSIOISTA

Asetukset kirjojen lisäämiselle kansioista. Oletuksena vain tunnettujen e-kirjatiedostomuotojen päätteillä varustetut tiedostot lisätään.

--add
    Tiedostonimikuvio (glob), tätä mallia vastaavat tiedostot lisätään, kun kansioita etsitään tiedostojen varalta, vaikka ne eivät olisikaan tunnettua e-kirjatiedostotyyppiä. Voidaan määrittää useita kertoja useille kuvioille.

--ignore
    Tiedostonimikuvio (glob), tätä mallia vastaavat tiedostot ohitetaan, kun kansioita etsitään tiedostojen varalta. Voidaan määrittää useita kertoja useille kuvioille. Esimerkiksi: *.pdf ohittaa kaikki PDF-tiedostot

--one-book-per-directory, -1
    Oleta, että kussakin kansiossa on vain yhtä kirjaa ja kaikki siinä olevat tiedostot ovat tämän kirjan eri e-kirjaformaatteja

--recurse, -r
    Käsittele kansioita rekursiivisesti

REMOVE

calibredb remove ids

Poista id:itä vastaavat kirjat tietokannasta. Id:t tulee listata pilkuin erotettuna sarjana. Id:t löytyvät hakutoiminnolla. Esimerkki: 23,34,57-85 (id-välin viimeistä numeroa ei huomioida).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Älä käytä Roskakori

ADD_FORMAT

%p rog add_format [options] id ebook_file

Lisää ebook_filen e-kirja käytettävissä oleviin formaatteihin id:n osoittamaan kirjaan. Löydät id:t hakukomennolla. Jos formaatti on jo olemassa, se korvataan, ellei ole asetettu älä korvaa -valintaa.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-extra-data-file
    Lisää tiedosto kirjaan ylimääräisenä datatiedostona, ei e-kirjamuotona

--dont-replace
    Älä korvaa formaattia jos se on jo olemassa

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Poista formaatti fmt id:n osoittamasta loogisesta kirajsta. Löydät id:n hakutoiminnolla. fmt:n tulee vastata tiedostopäätettä kuten LRF, TXT tai EPUB. Jos fmt:a ei ole loogiselle kirjalle, älä tee mitään.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [vaihtoehdot] id

Näytä tietokannan metatiedot id:n mukaiselle kirjalle. Saat listan id:istä haulla.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Tulosta metatiedot OPF-muodossa (XML)

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Asettaa calibre-tietokantaan tallennetut metatiedot kirjalle, joka on tunnistettu book_id OPF-tiedostosta metadata.opf. book_id on kirjan tunnistenumero hakukomennosta. Voit tutustua nopeasti OPF-muotoon käyttämällä komentoa --as-opf switch show_metadata-komentoa. Voit myös asettaa yksittäisten kenttien metatiedot --field-vaihtoehdolla. Jos käytät --field-vaihtoehtoa, silloin ei tarvitse määrittää OPF-tiedostoa.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Täytettävä kenttä. Muoto on kentän_nimi:arvo - esimerkiksi: --field tags:täsi1,tägi2. Käytä --list-fields listataksesi kaikki kenttänimet. Voit asettaa useita arvoja useiden kenttien määrittämiseksi. Huom: Kielille on käytettävä ISO639-koodia (eli en englannille, fr ranskalle jne). Tunnusten syntaksi on --field identifiers:isbn:XXXX,doi:YYYYY. Kyllä/ei-kentille käytetään true ja false tai yes ja no.

--list-fields, -l
    Luettele metatietokenttien nimet, joita voidaan käyttää --field-asetuksen kanssa

EXPORT

calibredb export [options] ids

Vie id:llä määritetyt kirjat (pilkuilla erotettu luettelo) tiedostojärjestelmään. Vientitoiminto tallentaa kaikki kirjan muodot, kannen ja metatiedot ( OPF-tiedostossa). Myös kirjaan liittyvät ylimääräiset datatiedostot tallennetaan. Saat tunnusnumerot hakukomennosta.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Vie kaikki kirjat tietokannasta, nimerttyjä id:itä ei huomioida.

--dont-asciiize
    Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Valinta poistaa toiminnon.

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Valinta poistaa toiminnon.

--dont-save-extra-files
    Save any data files associated with the book when saving the book Valinta poistaa toiminnon.

--dont-update-metadata
    Normally, calibre will update the metadata in the saved files from what is in the calibre library. Makes saving to disk slower. Valinta poistaa toiminnon.

--dont-write-opf
    Normally, calibre will write the metadata into a separate OPF file along with the actual e-book files. Valinta poistaa toiminnon.

--formats
    Comma separated list of formats to save for each book. By default all available formats are saved.

--progress
    Raportoi eteneminen

--replace-whitespace
    Replace whitespace with underscores.

--single-dir
    Vie kaikki kirjat yhteen kansioon

--template
    The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    The format in which to display dates. %d - day, %b - month, %m - month number, %Y - year. Default is: %b, %Y

--to-dir
    Vie kirjat määrättyyn kansioon. Oletus on .

--to-lowercase
    Convert paths to lowercase.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Pilkuin erotettu lista luettelon tietokanta-ID:istä. Jos käytössä, --search ohitetaan. Oletus: all

--search, -s
    Suodata tulokset haulla. Hakulausekkeen muotoiluohjeet löytyvät Käyttöohjeesta. Oletus: ei suodatusta

--verbose, -v
    Näytä detaljoidut viennin tiedot. Hyödyksi virheenetsinnässä

  EPUB ASETUKSET

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Tagit' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Hallitsee tähän tietokantaan tallennettuja hakuja. Jos yrität lisätä kyselyn, jonka nimi on jo olemassa, se korvataan.

Syntaksi lisäämiseen:

calibredb saved_searches add search_name search_expression

Syntaksi poistoon:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] otsikko nimi tietotyyppi

Luo mukautettu sarake. Otsikko on koneystävällinen nimi sarakkeelle. Se ei saa sisältää välilyöntejä tai pisteitä. Nimi on ihmisystävällinen nimi sarakkeelle. tietotyyppi on jokin näistä: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Lista vaihtohtoja tämän sarakkeen tietojen käsittelyyn. Tämä on JSON lauseke. Järjestäville sarakkeille käytetään --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}". Esitysmuuttujaan voi sisällyttää useita vaihtoehtoja. Sarakkeittain näitä ovat: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Hyvä tapa toimivien yhdistelmien löytämiseen on tehdä mukautettu sarake sopivasta tyypistä GUI:ssa ja sitten etsiä OPF varmuuskopiosta kirjaa (varmista, että sarakkeen luomisen jälkeen luotiin uusi OPF). Uudessa OPF:ssä on nyt uuden sarakkeen esittävä JSON.

--is-multiple
    Tämä sarake tallentaa tagi-tietoja (eli useita pilkuin erotettuja arvoja). Käytössä vain jos tietotyyppi on teksti.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Luettelo käytettävissä olevista sarakkeista. Näyttää sarakkeiden otsikot ja id:t.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Näytä sarakkeiden tiedot.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [Options] -tunniste

Poista tunnisteen määrittämä mukautettu sarake. Näet käytettävissä olevat sarakkeet, joissa on custom_columns-komento.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Älä kysy vahvistusta

SET_CUSTOM

calibredb set_custom [options] -sarakkeen tunnusarvo

Määritä tunnuksella tunnistetun kirjan mukautetun sarakkeen arvo. Saat luettelon tunnuksista hakukomennolla. Voit saada luettelon mukautetuista sarakenimistä käyttämällä custom_columns komentoa.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Jos sarakkeessa on useampia arvoja, liitä määritetyt arvot olemassa oleviin, sen sijaan että ne korvattaisiin.

RESTORE_DATABASE

calibredb restore_database [options]

Palauttaa tämän tietokannan OPF-tiedostoihin tallennetuista metatiedoista kussakin calibre-kirjaston kansiossa. Tämä on hyödyllistä, jos metadata.db-tiedosto on on vioittunut.

VAROITUS: Tämä komento uusii tietokantasi kokonaan. Menetät kaikki tallennetut haut, käyttäjäkategoriat, liitäntätaulut, tallennetut kirjakohtaiset muunnokset asetukset ja mukautetut reseptit. Palautetut metatiedot ovat vain niin tarkkoja kuin kuin mitä OPF-tiedostoissa on.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Varmistus palautuksen suorittamiselle. Komentoa ei suoriteta ellei tätä aseteta.

CHECK_LIBRARY

calibredb check_library [options]

Tarkastaa kirjaston tiedostorakennetta. Raportit ovat invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Tallenna CSV:nä

--ignore_extensions, -e
    Pilkuin erotettu luettelo ohitettavista tiedostopäätteistä. Oletus: kaikki

--ignore_names, -n
    Pilkuin erotettu lista ohitettavista nimistä. Oletus: kaikki

--report, -r
    Pilkuin erotettu lista raporteista. Oletus: kaikki

--vacuum-fts-db
    Imuroi koko tekstihaun tietokanta. Tämä voi olla hyvin hidasta ja muistia vaativaa tietokannan koosta riippuen.

LIST_CATEGORIES

calibredb list_categories [options]

Tuota raportti tietokannan luokkatiedoista. Tiedot vastaavat Tag-selaimessa näkyviä tietoja.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Pilkuin erotettu listaus kategorioiden hakunimistä. Oletus: kaikki

--csv, -c
    Tallenna CSV:nä

--dialect
    Tuotettavan CSV-tiedoston tyyppi. Vaihtoehdot: excel, excel-tab, unix

--item_count, -i
    Näytä vain kappalemäärät kategorioittain eikä määriä kappaleittain eriteltynä

--width, -w
    Yksitäisen rivin maksimipituus. Oletusarvona käytetään näytön kokoa.

BACKUP_METADATA

%pROG-backup_metadata [options]

Varmuuskopioi tietokantaan tallennetut metatiedot yksittäisiin OPF-tiedostoihin kussakin kirjat-kansiossa. Tämä tapahtuu yleensä automaattisesti, mutta voit suorittaa tämän komennon pakottamaan OPF-tiedostojen uudelleenluonti --all-vaihtoehdolla.

Huomaa, että tätä ei yleensä tarvitse tehdä, koska OPF-tiedostot varmuuskopioidaan automaattisesti aina, kun metatietoja muutetaan.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normaalisti tämä komento toimii vain kirjoihin joiden OPF-tiedosto on vanhentunut. Valinta pakottaa sen kaikkiin kirjoihin.

CLONE

calibredb clone path/to/new/library

Luo klooni nykyisestä kirjastosta. Tämä luo uuden, tyhjän kirjaston, jossa on kaikki samat mukautetut sarakkeet, virtuaalikirjastot ja muut asetukset kuin nykyisessä kirjastossa.

Kloonattu kirjasto ei sisällä kirjoja. Jos haluat luoda täydellisen kaksoiskappaleen, mukaan lukien kaikki kirjat, niin kopioi Kirjasto-kansio tiedostojärjestelmän työkaluilla.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Päivitä varsinaisten kirjatiedostojen metatiedot calibre-kirjaston tietokannan metatietojen mukaisiksi. Yleensä metatiedot päivitetään vain vietäessä tiedostoja ulos calibresta, mutta näin voit muokata olemassa olevia tiedostoja. Huomaa, että eri formaatit sallivat erilaisia metatietoja. Voit käyttää valitsinta 'all' kaikkien kirjojen metatietojen päivittämiseen. Voit myös osoittaa useita kirjoja id:illä ja id-väleillä osoitettuna väliviivoilla. Esimerkiksi calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Päivitä vain määritetyn tiedostotyypin metatiedot. Määrittele tarvittaessa useampia tiedostoformaatteja. Oletuksena päivitetään kaikki formaatit.

SEARCH

calibredb search [options] search expression

Etsii kirjastosta määritetyn hakusanan ja palauttaa pilkulla erotellun listan kirjojen tunnuksista, jotka vastaavat hakulauseketta. Tulostusmuoto on hyödyllinen syöttää muihin komentoihin, jotka hyväksyvät syötteenä listan tunnuksia.

Hakulauseke voi olla mitä tahansa Calibren tehokkaasta hakukyselystäkielestä, esimerkiksi: calibredb search author:asimov 'title:"i robot"'

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Tulosten maksimimäärä. Oletus on näyttää kaikki tulokset.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Hallitse kokotekstihaun indeksointiprosessia.

enable
    Ottaa FTS-indeksoinnin käyttöön tässä kirjastossa

disable
    Poistaa FTS-indeksoinnin käytöstä tässä kirjastossa

status
    Näyttää indeksoinnin nykyisen tilan

reindex
    Voidaan käyttää joko tiettyjen kirjojen tai

    koko kirjastonuudelleen indeksointiin. Tiettyjen kirjojen uudelleenindeksointi

määrittää kirjojen tunnukset lisäargumentteina reindex-komennon jälkeen.
    Jos kirjojen tunnuksia ei määritetä, komento

    koko kirjasto indeksoidaan uudelleen.

    Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--indexing-speed
    Indeksoinnin nopeus. Käytä nopeaa indeksointia kaikkiin tietokoneesi resursseihin ja hidasta vähemmän resursseja kuluttavaan indeksointiin. Huomaa, että nopeus nollataan hitaaksi jokaisen kutsun jälkeen.

--wait-for-completion
    Odota, kunnes kaikki kirjat on indeksoitu, ja näytä indeksoinnin edistyminen säännöllisesti

FTS_SEARCH

calibredb fts_search [options] search expression

Tee kokotekstihaku koko kirjastosta tai sen osajoukosta.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--do-not-match-on-related-words
    Täsmää vain tarkoilla sanoilla, ei toisiinsa liittyvillä sanoilla. Joten korjaus ei vastaa korjausta.

--include-snippets
    Sisällytä tekstinpätkiä kunkin osuman ympärille. Huomaa, että tämä hidastaa hakua huomattavasti.

--indexing-threshold
    Kuinka suuri osa kirjastosta on indeksoitava prosentteina ennen haun sallimista. Oletusarvo on 90

--match-end-marker
    Merkki, jota käytetään osoittamaan vastaavan sanan loppua katkelmassa

--match-start-marker
    Merkki, jota käytetään osoittamaan vastaavan sanan alkua katkelmassa

--output-format
    Muoto, jossa hakutulokset tulostetaan. Joko "teksti" tavalliselle tekstille tai "json" JSON-tulosteelle.

--restrict-to
    Rajoita haettavia kirjoja joko hakulausekkeen tai tunnusten avulla. Esimerkiksi: ids:1,2,3, jos haluat rajoittaa tunnuksella, tai search:tag:foo, jos haluat rajoittaa kirjoihin, joissa on tunniste foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal